org.apache.tomcat.util.scan

## Class Constants

- java.lang.Object
- - org.apache.tomcat.util.scan.Constants

-     public final class Constants
      extends Object

  String constants for the scan package.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JAR_EXT`
    `static String` | `Package`
    `static String` | `SCAN_JARS_PROPERTY`
    `static String` | `SKIP_JARS_PROPERTY`
    `static String` | `WEB_INF_CLASSES`
    `static String` | `WEB_INF_LIB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Package

          public static final String Package

      See Also:
        Constant Field Values

    - #### SKIP_JARS_PROPERTY

          public static final String SKIP_JARS_PROPERTY

      See Also:
        Constant Field Values

    - #### SCAN_JARS_PROPERTY

          public static final String SCAN_JARS_PROPERTY

      See Also:
        Constant Field Values

    - #### JAR_EXT

          public static final String JAR_EXT

      See Also:
        Constant Field Values

    - #### WEB_INF_LIB

          public static final String WEB_INF_LIB

      See Also:
        Constant Field Values

    - #### WEB_INF_CLASSES

          public static final String WEB_INF_CLASSES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.